Skip to main content
POST
Convert stored raw Braze content to XLIFF synchronously

Authorizations

Authorization
string
header
required

IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer

Headers

X-ActionId
string

A logging ID of the request. It is propagated through Phrase systems, making it easier to connect logs from various services. If no ActionId is sent with a request, one will be generated by Bifrost and returned with the response.

X-ResponseType
enum<string>

Specify if the response should contain the processed object itself in an application/octet-stream body, or a application/json body with an ID that can be then used to retrieve the object using a /load-content endpoint. Note that for larger files (> 1 MB), it is advised to use the ID option which is also default.

Available options:
ID,
OBJECT

Body

application/json

Request body for converting already-stored raw Braze multilingual content into XLIFF 2.0 without re-downloading from Braze.

rawFiles
object[]
required

List of stored raw files (each carrying its storageId and original metadata) to convert.

sourceLocale
string
required

Source locale used inside the resulting XLIFF (Phrase-side locale code).

Example:

"en-US"

targetLocale
string
required

Target locale the XLIFF will be translated into (Phrase-side locale code).

Example:

"de-DE"

remoteSourceLocale
string
required

Source locale code as understood by Braze. Mapped to/from sourceLocale to bridge any difference between Phrase locale codes and Braze locale codes.

Example:

"en"

remoteTargetLocale
string
required

Target locale code as understood by Braze. Mapped to/from targetLocale.

Example:

"de"

Response

OK — JSON storageId envelope (returned when X-ResponseType=ID).

storageId
string